##sound

execute as @a[x=7,y=10,z=-176,distance=..3,tag=!sound2] at @s run playsound minecraft:custom.northreactor master @a ~ ~5 ~ 1.5 1.025 1 
execute as @a[x=7,y=10,z=-176,distance=..3,tag=!sound2] at @s run tag @a add sound2

##material/metal switch

execute as @e[tag=cube,tag=material,x=15,y=11,z=-177,distance=..1] at @s run execute positioned -1 11 -177 run function datapack:functions/items/spawn/blocks/metal
execute as @e[tag=cube,tag=material,x=15,y=11,z=-177,distance=..1] at @s run tp @s ~ ~-1000 ~
execute as @e[tag=cube,tag=material,x=15,y=11,z=-177,distance=..1] at @s run kill @s

##broken tubes particles

execute if block 10 11 -182 air run particle minecraft:cloud 10 11.5 -182 0 0 0 0.1 2 force
execute if block 4 11 -186 air run particle minecraft:cloud 4 11.5 -186 0 0 0 0.1 2 force
execute if block -6 11 -204 air run particle minecraft:cloud -6 11.5 -204 0 0 0 0.1 2 force
execute if block 22 11 -204 air run particle minecraft:cloud 22 11.5 -204 0 0 0 0.1 2 force
execute if block 13 11 -212 air run particle minecraft:cloud 13 11.5 -212 0 0 0 0.1 2 force
execute if block 1 11 -212 air run particle minecraft:cloud 1 11.5 -212 0 0 0 0.1 2 force

##remove the gravity cutscene

execute if block 27 0 -218 minecraft:redstone_block if block -13 0 -218 minecraft:redstone_block if block 7 11 -178 minecraft:spruce_fence run summon minecraft:area_effect_cloud 7 10 -175 {Tags:[camera2,first],Duration:150,Rotation:[180f,0f]}
execute if block 27 0 -218 minecraft:redstone_block if block -13 0 -218 minecraft:redstone_block if block 7 11 -178 minecraft:spruce_fence run execute positioned 7 11 -178 run tag @e[distance=..1,tag=door] add unlocked
execute if block 27 0 -218 minecraft:redstone_block if block -13 0 -218 minecraft:redstone_block if block 7 11 -178 minecraft:spruce_fence run setblock 7 11 -178 acacia_fence

##cutscene1

execute if entity @e[tag=camera2,tag=first,scores={timer=40}] run execute positioned 7 10 -178 run function datapack:functions/levels/doors/spawn/ns

execute if entity @e[tag=camera2,tag=first,scores={timer=40}] run execute as @e[tag=block-space] at @s run setblock ~ ~ ~ air destroy

execute if entity @e[tag=camera2,tag=first,scores={timer=60}] run title @a actionbar [{"text":"Protective Suit","color":"green"},{"text":" ACTIVATETD","color":"gold"}]
execute if entity @e[tag=camera2,tag=first,scores={timer=60}] run tag @a add lowgravity
execute if entity @e[tag=camera2,tag=first,scores={timer=60}] run tag @a add limit-mode
execute if entity @e[tag=camera2,tag=first,scores={timer=60}] run tag @a add normal-suit
execute if entity @e[tag=camera2,tag=first,scores={timer=60}] run execute positioned 7 10 -178 run tag @e[distance=..3,tag=door] add unlocked


##check if all the blocks are in place

execute if block 4 11 -186 iron_block if block 10 11 -182 iron_block if block -6 11 -204 iron_block if block 22 11 -204 iron_block if block 1 11 -212 iron_block if block 1 12 -194 iron_block if block 12 12 -196 iron_block if block 5 12 -199 blue_terracotta if block 5 12 -210 blue_terracotta if block 9 12 -210 blue_terracotta if block 9 12 -199 blue_terracotta unless block 7 0 -179 minecraft:redstone_block run summon minecraft:area_effect_cloud 7 13 -180 {Duration:150,Tags:[camera2,second],Rotation:[180f,0f]}
execute if block 4 11 -186 iron_block if block 10 11 -182 iron_block if block -6 11 -204 iron_block if block 22 11 -204 iron_block if block 1 11 -212 iron_block if block 1 12 -194 iron_block if block 12 12 -196 iron_block if block 5 12 -199 blue_terracotta if block 5 12 -210 blue_terracotta if block 9 12 -210 blue_terracotta if block 9 12 -199 blue_terracotta unless block 7 0 -179 minecraft:redstone_block run setblock 7 0 -179 redstone_block



##cutscene2

execute if entity @e[tag=camera2,tag=second,scores={timer=46}] run fill 13 12 -193 1 17 -218 minecraft:sea_lantern replace minecraft:redstone_lamp


execute if entity @e[tag=camera2,tag=second,scores={timer=100..105}] run title @a actionbar [{"text":"North Reactor","color":"green"},{"text":" ACTIVATED","color":"gold"}]
execute if entity @e[tag=camera2,tag=second,scores={timer=100}] run playsound minecraft:custom.discovery master @a ~ ~ ~ 1 0.25 1
execute if entity @e[tag=camera2,tag=second,scores={timer=100..105}] run setblock 6 11 -174 minecraft:dead_tube_coral_wall_fan[facing=east,waterlogged=false]
execute if entity @e[tag=camera2,tag=second,scores={timer=100..105}] run setblock 5 11 -98 minecraft:dead_tube_coral_wall_fan[waterlogged=false,facing=north]

execute if entity @e[tag=camera2,tag=second,scores={timer=110}] run playsound minecraft:custom.welldone2 master @a ~ ~5 ~ 1.5 1.025 1


##nextlevel

execute if entity @a[x=7,y=10,z=-166,distance=..6] if block 7 0 -179 redstone_block run scoreboard players set level general 8
